upgrade to 12.10

Bug #1068407 reported by Jan Gomes
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
E:Unable to correct problems, you have held broken packages.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command 'ubuntu-bug ubuntu-release-upgrader-core' in a terminal.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ubuntu-release-upgrader-core (not installed)
Uname: Linux 3.4.0-030400-generic x86_64
ApportVersion: 2.0.1-0ubuntu14
Architecture: amd64
Date: Thu Oct 18 22:25:23 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
ProcEnviron:
 SHELL=/bin/bash
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to precise on 2012-10-19 (0 days ago)

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the log files from '/var/log/dist-upgrade/' to this bug report as separate attachments? Thanks in advance.

Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Chris Schafer (chris-ryan54) wrote :
Revision history for this message
Chris Schafer (chris-ryan54) wrote :
Revision history for this message
Jan Gomes (jangomes) wrote :

I fixed this error removing the xserver-xorg-video-nouveau package. After that the update work like a charm.
Thank you.

Revision history for this message
Chris Schafer (chris-ryan54) wrote :

Solved, thank you!

Revision history for this message
Alexandre Moraes (amcsng) wrote :

Solved for me.

apt-get remove --purge xserver-xorg-video-nouveau

Best Regards.

Revision history for this message
Evertjan Garretsen (egarretsen) wrote :

I was also able to solve this problem by:

sudo apt-get remove --purge xserver-xorg-video-nouveau

Changed in ubuntu-release-upgrader (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Brian Murray (brian-murray) wrote :

It looks like the original reporter had a PPA version of the nouveau driver installed.

Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
Tor Johan Vatnehol (torjv83) wrote :

I had the same issue upgrading from 13.04 to 13.10.
Solved it by:
apt-get remove --purge xserver-xorg-video-nouveau

thanks!

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments